fontforge (1:20230101~dfsg-8build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 22 Jan 2026 20:38:04 +0000

fontforge (1:20230101~dfsg-8) unstable; urgency=medium

  * Team upload
  * Drop non-free multiple master font code (See: #665334)
  * Document Apache-2.0 license in fontforge/othersubrs.c

 -- Bastian Germann <bage@debian.org>  Mon, 22 Sep 2025 20:21:04 +0200

fontforge (1:20230101~dfsg-7) unstable; urgency=medium

  * Team upload.
  * libfontforge4 needs a runtime dependency on python3-pkg-resources
    to work properly (See: #1095130)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 17 Sep 2025 14:36:17 +0200

fontforge (1:20230101~dfsg-6) unstable; urgency=medium

  * Team upload.
  * python3-fontforge needs a runtime dependency on python3-pkg-resources
    to work properly (See: #1095130)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 17 Sep 2025 14:03:47 +0200

fontforge (1:20230101~dfsg-5) unstable; urgency=medium

  * Team upload.
  * Remove obsolete debian/README.source

  [ Helmut Grohne ]
  * Fix FTCBFS (Closes: #983666)

  [ Jonas Smedegaard ]
  * remove myself as uploader

 -- Alexandre Detiste <tchet@debian.org>  Thu, 04 Sep 2025 20:09:11 +0200

fontforge (1:20230101~dfsg-4) unstable; urgency=medium

  * Team upload.
  * debian/control: Add missing build-dependency python3-setuptools to provide
    distutils module. (Closes: #1080597)

 -- Boyuan Yang <byang@debian.org>  Thu, 05 Sep 2024 21:07:30 -0400

fontforge (1:20230101~dfsg-3) unstable; urgency=medium

  * debian/control: Drop build-dependency on potrace. The upstream build
    system is no longer having compile-time check on the software. Note that
    we still keep potrace in the binary Suggests: field. (Closes: #1035822)

 -- Boyuan Yang <byang@debian.org>  Sun, 30 Jun 2024 12:46:40 -0400

fontforge (1:20230101~dfsg-2) unstable; urgency=medium

  * debian/control: Bump Standards-Version to 4.7.0.
  * debian/patches/:
    + 0006-Update-po-files-from-Croudin-sources-after-fixing-pr.patch:
      Cherry-pick upstream PR #5330 to refresh po/ directory and fix
      FTBFS with gettext 0.22.5. (Closes: #1074258)

  [ David (Plasma) Paul ]
  * Fully support the nodoc build profile. (Closes: #1035892)
    - Don't build fontforge-doc in nodoc build profile.
    - Mark Build-Depend:python3-sphinx <!nodoc>.

 -- Boyuan Yang <byang@debian.org>  Wed, 26 Jun 2024 10:37:51 -0400

fontforge (1:20230101~dfsg-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * CVE-2024-25081: Spline Font command injection via crafted filenames
  * CVE-2024-25082: Spline Font command injection via crafted archives
    or compressed files
  * Closes: #1064967

 -- Adrian Bunk <bunk@debian.org>  Fri, 08 Mar 2024 01:15:58 +0200

fontforge (1:20230101~dfsg-1) unstable; urgency=medium

  * New upstream version 20230101~dfsg
    which incidentally fixes a FTFBS bug with fonts-ocr-a, see #1015092
    and https://github.com/fontforge/fontforge/issues/5070
  * Remove build-dependency on libuninameslist-dev, as upstream has switched
    from libuninameslist to internal nameslist functions since April 2021
  * Bump Standards-Version to 4.6.2 (no change)
  * Remove Debian patches that have been merged upstream.
    Special thanks to Jan Tojnar who contributed an enhanced version of
    0001-add-extra-cmake-install-rules.patch upstream;
    see https://github.com/fontforge/fontforge/pull/4941
  * Drop /usr/share/fontforge/python/simple/ from python3-fontforge.
    Jeremy Tan explained in https://github.com/fontforge/fontforge/pull/4941:
        It's a bunch of toy scripts, but they're basic/half-broken and are not
        easily discoverable, so yeah, no reason to bundle it
    I must have inadvertently reverted Jonas Smedegaard’s 2020-06-02 fix
    "stop ship python simple/* scripts: No longer installed upstream"
    in commit 4a44d9a38025f7b610292cfb1c6c3502cd315158 (Sorry!)
  * Fix Lintian build-depends-on-obsolete-package warning on libtiff5-dev
    by build-depending on libtiff-dev instead
  * Fix miscellaneous errors and warnings detected by Lintian

 -- Anthony Fok <foka@debian.org>  Wed, 18 Jan 2023 11:05:41 -0700

fontforge (1:20220308~dfsg-1) unstable; urgency=medium

  [ Boyuan Yang ]
  * debian/control: Drop Rogério Brito from uploaders list. (Closes: #994659)

  [ Anthony Fok ]
  * New upstream version 20220308~dfsg
  * Add 20120731.b-{6,7,7.1,7.2} changelog entries
    from Nov 2015 to Apr 2016 that were missing partly due to the failed
    (forgotten? ignored?) switch from master to debian/sid branch
  * Add Jonas Smedegaard’s copyright file contributions (which I overlooked)
    to the 1:20201107~dfsg-2 changelog entry
  * Refresh Debian patches:
    - 0001-add-extra-cmake-install-rules.patch: Upstream now installs
      cidmaps by default (Thanks to Fredrick Brennan for the fix!)
    - 0004-hurd-PATH_MAX-and-MAXPATHLEN.patch: Finally forwarded upstream
      at https://github.com/fontforge/fontforge/pull/5046
    - 0005-hurd-rename-extended-to-avoid-conflict-with-gnumach-dev.patch:
      Resolve conflicts and rename more "extended" to "extendeddbl"
  * Replace 0005-hurd-rename-extended-to-avoid-conflict-with-gnumach-dev.patch
    with a much simpler 0005-hurd-undef-extended-temporarily.patch
    that "#undef extended" temporarily to circumvent the name collision
    issue on Hurd.  See https://github.com/fontforge/fontforge/pull/5047
  * Update fontforge-common.install and fontforge-extras.install
    - Stop installing app icon in legacy /usr/share/pixmaps location
      (see upstream commit 6b4ab5a)
    - cidmaps have been moved from /usr/share/fontforge/ to
      /usr/share/fontforge/cidmap/ (see commit f97a2cd)
  * Bump Standards-Version to 4.6.1 (no change)

 -- Anthony Fok <foka@debian.org>  Thu, 16 Jun 2022 04:08:43 -0600

fontforge (1:20201107~dfsg-4) unstable; urgency=medium

  * Rename extended to extendeddbl to avoid FTBFS on Hurd.
    gnumach-dev 1.8+git20201129 added to /usr/include/i386-gnu/mach/i386/fp_reg.h
    a new "extended" field which happens to collide with the custom-defined
    "extended" type in FontForge, leading to FTBFS on hurd-i386.
    See 0005-hurd-rename-extended-to-avoid-conflict-with-gnumach-dev.patch
  * Rename 0004-hurd-compatibility.patch to 0004-hurd-PATH_MAX-and-MAXPATHLEN.patch

 -- Anthony Fok <foka@debian.org>  Fri, 15 Jan 2021 08:55:46 -0700

fontforge (1:20201107~dfsg-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Reduce Build-Depends via Build-Depends-Indep. (Closes: #977954)

  [ Anthony Fok ]
  * debian/control:
    - Remove uthash-dev and libxt-dev from build-dependency as they are not
      used any more by the build.  Thanks to Helmut Grohne for the suggestion.
    - Specify that fontforge "Provides: fontforge-nox" (Closes: #976736)
    - debian/control: Remove "XS-Python-Version: all" which was for Python 2
    - Bump Standards-Version to 4.5.1 (no change)
  * Define PATH_MAX and MAXPATHLEN to fix FTBFS on GNU/Hurd.
    See debian/patches/0004-hurd-compatibility.patch (Closes: #877795)
  * 2003_avoid_privacy_breach.patch: Fix "more than 2 sections in header"
    error as reported by "cme fix dpkg"
  * debian/fontforge*.install: Sort lines in alphabetical order, by
    "cme fix dpkg"

 -- Anthony Fok <foka@debian.org>  Fri, 15 Jan 2021 00:41:32 -0700

fontforge (1:20201107~dfsg-2) unstable; urgency=medium

  [ Jonas Smedegaard ]
  * modernize source script copyright-check
  * copyright: update coverage
  * tidy copyright file:
    - wrap and sort files and copyright holders
      (the later by name: sort -k2 -k1,1 -u)
    - sort license sections
    - wrap license grants and license sections using semantic newlines
  * copyright: consistently use License-Reference
  * update copyright hints

  [ Anthony Fok ]
  * debian/libfontforge4.install: Fix incorrect path.  For example, on i386,
    /usr/bin/${DEB_HOST_GNU_TYPE} resolves to /usr/bin/i686-linux-gnu which
    does not exist on Debian, whereas /usr/bin/${DEB_HOST_MULTIARCH} correctly
    resolves to /usr/bin/i386-linux-gnu that we need (Closes: #975460)
  * debian/rules: Fix binary-indep build by adding override_dh_missing-indep
  * Add debian/python3-fontforge.lintian-overrides
    as Lintian fails to find libfontforge.so.4 (from libfontforge4 package)
    and thus raises false library-not-linked-against-libc errors
  * Update debian/libfontforge4.lintian-overrides
    to point the new location of libfontforge.so.4
  * Remove obsolete debian/libfontforge-dev.links
  * Add debian/patches/2004-fix-privacy-breach-logo.patch
    to fix Lintian privacy-breach-logo errors in the Japanese translation
    of old FontForge documentation
  * Add 0003-use-local-libjs-mathjax.patch and fontforge-doc.links
    to fix Lintian privacy-breach-generic warnings
  * Fix Lintian link-to-shared-library-in-wrong-package warning by removing
    unused usr/lib/*/libfontforge.so symlink from libfontforge4 package
  * Mark libfontforge4 and python3-fontforge "Multi-Arch: same"
    as suggested by Multiarch hinter

 -- Anthony Fok <foka@debian.org>  Tue, 24 Nov 2020 18:21:25 -0700

fontforge (1:20201107~dfsg-1) unstable; urgency=medium

  [ Jonas Smedegaard ]
  * New upstream version 20200314~dfsg (Closes: #963194)
    + Fixes two security vulnerabilities:
      - CVE-2020-5395 (use-after-free in SFD_GetFontMetaData in sfd.c)
      - CVE-2020-5496 (heap-based buffer overflow in the Type2NotDefSplines()
        function in splinesave.c)
      that were found in FontForge 20190801 (Closes: #948231)
  * copyright: update overage
  * use buildsystem cmake+ninja (not autotools);
    build-depend on cmake ninja-build
    (not libltdl-dev autoconf-archive)
  * stop build-depend on chrpath
    (unused since 1:20160404~dfsg-1)
  * update install paths
    (upstream installs appdata in correct path now)
  * drop patches 0003 0004 2002 3000:
    obsoleted by new upstream release
  * update (and reduce) patch 2003
  * add patches cherry-picked upstream to fix a range of issues
    Fixes "FTBFS on 64-bit big endian: test failures" (Closes: #961841)
  * bump library API major version to 4
  * drop libgdraw package:
    upstream no longer provides that as shared library
  * stop ship python simple/* scripts:
    No longer installed upstream
  * Temporarily omit installing scripts for fontforge-extras,
    seemingly not built upstream
  * build sphinx documentation;
    build-depend on dh-sequence-sphinxdoc
  * stop ship extra libraries libgunicode.so libgutils.so:
    upstream no longer provides those as shared library

  [ Hideki Yamane ]
  * specify dh 13
  * fix to add ${DEB_HOST_MULTIARCH} for libfontforge.so path
  * Add python3-sphinx for document build for GUI build
  * Add more build options MAINTAINER_TOOLS and WRITE_PFM

  [ Anthony Fok ]
  * New upstream version 20201107~dfsg (FontForge 20th Anniversary Edition)
    + Display issues on Wayland are now fixed (Closes: #961640)
  * Remove cherry-picked upstream patches as they are included in 20201107
  * debian/rules: Change override_dh_* to execute_before_dh_* where possible
  * Remove libfontforge-dev package.  Upstream has decided to stop installing
    development files since 20200314 due to unstable stable API or ABI etc.
    No Debian package has ever build-depended on libfontforge-dev either.
  * Install README.md instead of the now nonexistent README
  * debian/control: Add ${sphinxdoc:Depends} and ${sphinxdoc:Built-Using}
    for python3-fontforge
  * debian/rules: Remove manual call to sphinx-build
    as it is already called by upstream doc/CMakeLists.txt
  * Restore files that were installed to fontforge-extras and python3-fontforge
    prior to the FontForge 2020 March Release by patching CMakeLists.txt
    files, see debian/patches/0001-add-extra-cmake-install-rules.patch
  * Add debian/libfontforge4.install as we no longer uses d-shlibs
  * Add and fix other debian/*.install, debian/*.manpages and debian/rules
    so that all files are installed properly
  * Add debian/not-installed to remove dh_missing fail-missing errors
  * Remove upstream setting that sets custom RPATH/RUNPATH.
    Fixes Lintian custom-library-search-path errors.
    See debian/patches/0002-remove-custom-library-search-path.patch
  * Fix package description for fontforge-extras
    where most provided programs have been renamed
  * Add debian/clean to remove build/ and doc/sphinx/_extensions/__pycache__/
  * Add myself to the list of Uploaders and to debian/copyright

 -- Anthony Fok <foka@debian.org>  Wed, 18 Nov 2020 01:42:18 -0700

fontforge (1:20190801~dfsg-5) unstable; urgency=medium

  * build-depend on debhelper-compat (not debhelper)
  * simplify rules;
    build-depend on dh-sequence-python3 (not cdbs dh-buildinfo dh-python)
  * stop build-depend on autotools-dev dh-autoreconf
    (superfluous, handled by autoreconf)
  * stop fix executable bit of python libraries
    (handled by dh_python3 now, apparently)
  * check testsuite during build
  * copyright: fix update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 29 May 2020 20:02:39 +0200

fontforge (1:20190801~dfsg-4) unstable; urgency=high

  * Team upload.
  * debian/control: Set maintainer email to new mailing list.
  * debian/control.in: Also reflect some changes in the .in file.
  * debian/rules: Fix broken dev-dep list for cdbs.
  * debian/copyright:
    + Properly set Upstream-Name and Upstream-Contact.
    + Update license information for AppStream metadata file.

 -- Boyuan Yang <byang@debian.org>  Thu, 05 Mar 2020 22:10:07 -0500

fontforge (1:20190801~dfsg-3) unstable; urgency=medium

  * Team upload.
  * debian/rules:
    + Force python3; link with embedded python3 libs in python3.8.
      (Closes: #949822, #953079)
    + Fix FTCBFS: Let dpkg buildtools.mk set up CC. (Closes: #901174)
    + Add override of libpython3.8-dev for d-shlibmove to circumvent
      build error for now.
  * debian/control:
    + Build-dep on python3-dev instead of python3-all-dev. (Closes: #948016)
    + Bump Standards-Version to 4.5.0.
  * debian/patches: Cherry-pick upstream PR 3922 to fix non-GUI usage.
    (Closes: #952408)

 -- Boyuan Yang <byang@debian.org>  Thu, 05 Mar 2020 12:52:24 -0500

fontforge (1:20190801~dfsg-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Bump debhelper dependency to >= 9, since that's what is used in
    debian/compat.
  * Bump debhelper from old 9 to 10.
  * Remove patches missing from debian/patches/series.
  * Set upstream metadata fields: Repository.
  * Fix field name typos in debian/copyright.
  * Fix day-of-week for changelog entries 0.0.20020312-1.

  [ Hideki Yamane ]
  * Note some bug numbers are closed in previous changelog.

 -- Hideki Yamane <henrich@debian.org>  Wed, 13 Nov 2019 21:20:21 +0900

fontforge (1:20190801~dfsg-1) experimental; urgency=medium

  * New upstream version 20190801~dfsg (Closes: #603067, #866690, #912062,
    #895105, #927640, #774274)
  * debian/control{,.in}
    - remove Christian Perrier <bubulle@debian.org> from Uploaders
      (Closes: #894873, #927590)
    - add Rules-Requires-Root: no
    - bump up libfontforge3 from 2
    - migrate to python3 (Closes: #936538)
    - set Multi-Arch: foreign for -common,doc
    - drop gnulib (Closes: #840782)
    - bump up d-shlibs since it supports libpython3 >= 0.88
    - use libfreetype-dev, instead of libfreetype6-dev
    - split to -extras package
    - add potrace to detect it
    - move libgdraw5 to libgdraw6
    - python3-fontforge: add Recommends since some scripts has a dependency
    - remove unnecessary Priority field
  * debian/libpython3.symbols
    - update symbols list
  * debian/rules
    - remove specifying disappear library
    - bump up libfontforge3 from 2
    - not dh_python2, but 3
    - specify --enable-python-scripting and --enable-python-extension
    - just run autoreconf, not debian/autogen.sh and drop gnulib
    - bump up d-shlibs since it supports libpython3 >= 0.88
    - add --enable-tile-path
    - add --enable-debug-raw-points
    - enable gtk UI
    - drop obsolete options
    - add --enable-fontforge-extras
    - enable woff2 (however, it is not used yet...)
    - once disable --with-freetype-source since no package provides those files
  * debian/patches
    - drop unused patches
    - drop unnecessary 2001_repackaging_fixup.patch
    - refresh 2002_avoid_upstream_git_or_pkg.patch
    - add 0003-ignore-osx-files.patch
    - add 0004-fix-wrong-xml-tag.patch
  * debian/copyright
    - update exclude files list
    - use https
    - update copyright year
  * debian/fontforge.install
    - install appdata file (Closes: #857589)
    - add metainfo xml file, too
  * drop debian/autogen.sh, it seems that we don't need gnulib anymore
  * debian/*.manpages
    - fix wrong directory, and specify debian/tmp/x as cdbs workaround
  * drop unused lintian-overrides

 -- Hideki Yamane <henrich@debian.org>  Tue, 05 Nov 2019 22:38:57 +0900

fontforge (1:20170731~dfsg-2) unstable; urgency=medium

  [ Hideki Yamane ]
  * debian/control.in
    - drop Suggests: autotrace since it is not in repository anymore
    - drop Conflicts: defoma since it is not in repository anymore
    - drop fontforge-dbg
  * debian/rules
    - set --dbgsym-migration=fontforge-dbg
  * add debian/salsa-ci.yml

  [ Vasudev Kamath ]
  * debian/control:
    - Use Salsa URL for Vcs-* fields.
    - Mark package compliance with Debian policy 4.1.3.
  * debian/rules:
    - Install pkg-config files under multi-arch specific directory.

 -- Hideki Yamane <henrich@debian.org>  Tue, 24 Sep 2019 22:58:14 +0900

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog fontforge-common`.
